> ## Documentation Index
> Fetch the complete documentation index at: https://docs.solanatracker.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post Multiple Token Prices

> 与 GET /price/multi 类似，但代币地址放在请求体 JSON 数组中。

## SDK Example

<CodeGroup>
  ```typescript SDK
  import { Client } from '@solana-tracker/data-api';

  const client = new Client({ apiKey: 'YOUR_API_KEY' });

  const data = await client.postMultiplePrices(['So11111111111111111111111111111111111111112', '6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN'], true);

  ```
</CodeGroup>


## OpenAPI

````yaml /cn/data-api/openapi.json post /price/multi
openapi: 3.1.0
info:
  title: Solana Tracker 数据 API
  description: Solana Tracker 数据 API：提供代币价格、持币地址、成交、图表、钱包数据、风险信号与市场分析等能力。
  version: 1.0.0
  contact:
    email: contact@solanatracker.io
servers:
  - url: https://data.solanatracker.io
    description: 生产环境
security:
  - apiKey: []
paths:
  /price/multi:
    post:
      tags:
        - Price
      summary: Post Multiple Token Prices
      description: 与 GET /price/multi 类似，但代币地址放在请求体 JSON 数组中。
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                tokens:
                  type: array
                  items:
                    type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  $ref: '#/components/schemas/PriceResponse'
              example:
                HEZ6KcNNUKaWvUCBEe4BtfoeDHEHPkCHY9JaDNqrpump:
                  price: 0.000021934650668759846
                  priceQuote: 1.208617203224043e-7
                  liquidity: 29081.321914523014
                  marketCap: 21330.314314819956
                  lastUpdated: 1760274132867
      x-codeSamples:
        - lang: typescript
          label: SDK
          source: >
            import { Client } from '@solana-tracker/data-api';


            const client = new Client({ apiKey: 'YOUR_API_KEY' });


            const data = await
            client.postMultiplePrices(['So11111111111111111111111111111111111111112',
            '6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN'], true);
      x-code-samples:
        - lang: typescript
          label: SDK
          source: >
            import { Client } from '@solana-tracker/data-api';


            const client = new Client({ apiKey: 'YOUR_API_KEY' });


            const data = await
            client.postMultiplePrices(['So11111111111111111111111111111111111111112',
            '6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN'], true);
components:
  schemas:
    PriceResponse:
      type: object
      properties:
        price:
          type: number
        liquidity:
          type: number
        marketCap:
          type: number
        lastUpdated:
          type: integer
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: 用于鉴权的 API Key

````